## net.sf.saxon.type
Interface SchemaComponentVisitor

    public interface SchemaComponentVisitor

Interface for a general purpose visitor object used to process schema components

Method Summary
`void` `visitSchemaComponent(SchemaComponent component)`

Method Detail

### visitSchemaComponent

    void visitSchemaComponent(SchemaComponent component)
                              throws XPathException

  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.